DefInt A-Z

Global CrLf$                    ' Now just have to set it once
Global FileServerNames$()       ' Array for 8 possible names
Global WorkingServers$()        ' Array of all active servers
Global ArrayUnMap$()            ' All unmapped drives
Global Abort%                   ' Way to pass parameters

' --------------------------------------------------------
' ----- Visual Basic Constants ---------------------------
' --------------------------------------------------------
Global Const TRUE = -1
Global Const FALSE = 0


' --------------------------------------------------------
' ----- Windows API Declares -----------------------------
' --------------------------------------------------------
Global Const WM_USER = &H400
Global Const LB_RESETCONTENT = WM_USER + 5
Global Const ES_PASSWORD = &H20
Global Const EM_SETPASSWORD = 1052
Global Const GWL_STYLE = -16
Global Const ASTERICK = 42
Global Const EM_LIMITTEXT = WM_USER + 21

Declare Function GetModuleHandle% Lib "Kernel" (ByVal ModuleName$)
Declare Function GetModuleUsage% Lib "Kernel" (ByVal hModule%)
Declare Function SendMessage Lib "User" (ByVal hWnd%, ByVal msg%, ByVal wp%, lp As Any) As Long
Declare Function GetFocus Lib "User" () As Integer
Declare Function GetWindowLong Lib "User" (ByVal hWnd%, ByVal nIndex%) As Long
Declare Function SetWindowLong Lib "User" (ByVal hWnd%, ByVal nIndex%, ByVal NewLong&) As Long

' --------------------------------------------------------
' ----------------- Novell API Declares ------------------
' --------------------------------------------------------

Declare Function GetDLLVersion Lib "NWCore.DLL" (ByVal DLLName As String, MajorVer%, MinorVer%, RevLevel%, BetaLevel%) As Integer
Declare Function GetConnectionID Lib "NWWrkstn.DLL" (ByVal FileServerName As String, ConnectionID%) As Integer
Declare Function GetDefaultConnectionID Lib "NWWrkstn.DLL" () As Integer
Declare Function GetPrimaryConnectionID Lib "NWWrkstn.DLL" () As Integer
Declare Function AttachToFileServer Lib "NWConn.DLL" (ByVal ServerName As String, ConnectID%) As Integer
Declare Sub SetPreferredConnectionID Lib "NWWrkstn.DLL" (ByVal ConnectID%)
Declare Sub SetPrimaryConnectionID Lib "NWWrkstn.DLL" (ByVal ConnectID%)
Declare Function LoginToFileServer Lib "NWConn.DLL" (ByVal LoginID$, ByVal ObjectType%, ByVal Password$) As Integer
Declare Sub LogoutFromFileServer Lib "NWConn.DLL" (ByVal ConnectionID%)
Declare Sub DetachFromFileServer Lib "NWConn.DLL" (ByVal ConnectionID%)
Declare Function GetConnectionNumber Lib "NWConn.DLL" () As Integer
Declare Function MapDrive Lib "NWDir.DLL" (ByVal ConnectID%, ByVal DriveNo%, ByVal DPath As String, ByVal SearchFlag%, ByVal SearchOrder%, ByVal DLetter As String) As Integer
Declare Sub GetFileServerName Lib "NWServer.DLL" (ByVal ConnectID%, ByVal FileServerName As String)
Declare Sub GetStationAddress Lib "NWConn.DLL" (Addr&)
Declare Function GetConnectionInformation Lib "NWConn.DLL" (ByVal ConnectNo&, ByVal ObjectName$, ObjectType%, ObjectID&, ByVal LoginTime$) As Integer
Declare Function ScanBinderyObject Lib "NWBind.DLL" (ByVal SearchObjName$, ByVal SearchObjectType%, ObjectID&, ByVal ObjectName$, ObjectType%, HasProperties%, ObjectFlag%, ObjectSec%) As Integer
Declare Function GetDriveInformation Lib "NWDIR.DLL" (ByVal DriveNo%, ConnectionID%, DirectoryHandle%) As Integer
Declare Function GetDirectoryPath Lib "NWDir.DLL" (ByVal DirectoryHandle%, ByVal DirectoryPath$) As Integer

' --------------------------------------------------------
' ----------------- Novell Constants ---------------------
' --------------------------------------------------------
                                        
' Bindery object type definitions
Global Const OT_WILD = -1               ' Matches any type
Global Const OT_UNKNOWN = 0             ' Unknown object type
Global Const OT_USER = 1                ' The object is a "user"
Global Const OT_USER_GROUP = 2          ' A group of users
Global Const OT_PRINT_QUEUE = 3         ' Services print queues
Global Const OT_FILE_SERVER = 4         ' The object serves files
Global Const OT_JOB_SERVER = 5
Global Const OT_GATEWAY = 6
Global Const OT_PRINT_SERVER = 7
Global Const OT_ARCHIVE_QUEUE = 8
Global Const OT_ARCHIVE_SERVER = 9      ' Services backup jobs
Global Const OT_JOB_QUEUE = 10
Global Const OT_ADMINISTRATION = 11
Global Const OT_REMOTE_BRIDGE_SERVER = 38

Global Const DRIVE_ADD = 1
Global Const DRIVE_INSERT = 2
Global Const DRIVE_DELETE = 3
Global Const MAX_NETWARE_SEARCH_DRIVES = 16

Global Const BF_STATIC = 0
Global Const BF_DYNAMIC = 1

